Bug 1685233 - Operator should use imagePullPolicy: IfNotPresent
Summary: Operator should use imagePullPolicy: IfNotPresent
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-04 17:41 UTC by Clayton Coleman
Modified: 2019-03-12 14:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1685232
: 1685234 (view as bug list)
Environment:
Last Closed: 2019-03-08 20:15:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Clayton Coleman 2019-03-04 17:41:13 UTC
+++ This bug was initially created as a clone of Bug #1685219 +++

Use imagePullPolicy: IfNotPresent instead of always in:

["openshift-console-operator","console-operator-584558ff44-z44c7"]

Comment 1 Samuel Padgett 2019-03-04 17:46:55 UTC
https://github.com/openshift/console-operator/pull/167

Comment 2 Yanping Zhang 2019-03-08 06:48:44 UTC
build version: 4.0.0-0.nightly-2019-03-06-074438
Console operator image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:9ed5afd504bef6ceae7c4a9111b6cb1dc87cac01595c8eafda0ac3467a57fa41
Console image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:675da84ddba2b712c62b2fa37cbb57537d35b0c100df94a8f3f2bd970e12fab8
Checked on ocp 4 env with above version, No the image pull policy in console operator deployment is: "imagePullPolicy: IfNotPresent".
The bug is fixed, so move it to Verified.


Note You need to log in before you can comment on or make changes to this bug.